// A launch configuration that launches the extension inside a new window
{
  "version": "0.1.0",
  "configurations": [
    {
      "name": "Run Extension",
      "type": "extensionHost",
      "request": "launch",
      "runtimeExecutable": "${execPath}",
      "args": ["--disable-extensions", "--extensionDevelopmentPath=${workspaceRoot}/dist-desktop"],
      "outFiles": ["${workspaceFolder}/dist-desktop/**/*.js"],
      "stopOnEntry": false,
      "preLaunchTask": "${defaultBuildTask}",
      "env": {
        "NODE_ENV": "development",
        "GITLAB_VSCODE_ENV": "development"
      }
    },

    {
      "name": "Unit Tests",
      "args": ["-i"],
      "internalConsoleOptions": "openOnSessionStart",
      "program": "${workspaceFolder}/node_modules/.bin/jest",
      "request": "launch",
      "type": "node"
    },
    {
      "name": "Integration Tests",
      "type": "extensionHost",
      "request": "launch",
      "runtimeExecutable": "${execPath}",
      "args": [
        "--disable-extensions",
        "--disable-workspace-trust",
        "--extensionDevelopmentPath=${workspaceRoot}/dist-desktop",
        "--extensionTestsPath=${workspaceRoot}/dist-desktop/test/integration/",
        "${workspaceRoot}/test_workspace"
      ],
      "outFiles": ["${workspaceFolder}/dist-desktop/**/*.js"],
      "preLaunchTask": "npm: prepare:test:integration",
      "stopOnEntry": false
    }
  ]
}
